org.codehaus.plexus.logging

## Class AbstractLoggerManager

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLoggerManager

All Implemented Interfaces:
  LoggerManager

Direct Known Subclasses:
  BaseLoggerManager, ConsoleLoggerManager

    public abstract class AbstractLoggerManager
    extends Object
    implements LoggerManager

Version:
  $Id: AbstractLoggerManager.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl, Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.logging.LoggerManager

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractLoggerManager()`

### Method Summary

Methods
`Logger` `getLoggerForComponent(String role)`
`int` `getThreshold(String role)`
`void` `returnComponentLogger(String role)`
`void` `setThreshold(String role, int threshold)`
`protected String` `toMapKey(String role, String roleHint)` Creates a string key useful as keys in `Map`'s.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.logging.LoggerManager

`getActiveLoggerCount, getLoggerForComponent, getThreshold, getThreshold, returnComponentLogger, setThreshold, setThreshold`

### Constructor Detail

#### AbstractLoggerManager

    public AbstractLoggerManager()

### Method Detail

#### setThreshold

    public void setThreshold(String role,
                    int threshold)

Specified by:
  `setThreshold` in interface `LoggerManager`

#### getThreshold

    public int getThreshold(String role)

Specified by:
  `getThreshold` in interface `LoggerManager`

#### getLoggerForComponent

    public Logger getLoggerForComponent(String role)

Specified by:
  `getLoggerForComponent` in interface `LoggerManager`

#### returnComponentLogger

    public void returnComponentLogger(String role)

Specified by:
  `returnComponentLogger` in interface `LoggerManager`

#### toMapKey

    protected String toMapKey(String role,
                  String roleHint)

Creates a string key useful as keys in `Map`'s.

Parameters:
  `role` - The component role.
  `roleHint` - The component role hint.
Returns:
  Returns a string thats useful as a key for components.